package TJournal::PFAnalysis;

# PFAnalysis.pm -- author: Oliver Bossert
# Copyright (C) 2004 Oliver Bossert
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

use strict;

use TJournal::Conf;
use TJournal::DB;
use TJournal::Translate;

############################################################
sub new { # Generate a new Object
############################################################
  my $type = shift;
  my $class = ref($type) || $type;
  my $self = {};
  bless $self, $class;

  $self->{'data'} = shift;

  return $self;
}

############################################################
sub calc {
############################################################
  my $self = shift;
  return 0;
}

############################################################
sub formated {
############################################################
  my $self = shift;
  return $self->calc();
}

############################################################
sub color {
############################################################
  my $self = shift;
  return 0;
}

############################################################
sub name {
############################################################
  my $self = shift;
  return "No Name";
}

############################################################
sub info {
############################################################
  my $self = shift;
  return "No information available!";
}

############################################################
sub name_t {
############################################################
  my $self = shift;
  return _t( $self->name(@_) );
}

############################################################
sub info_t {
############################################################
  my $self = shift;
  return _t( $self->info(@_) );
}


1;
