package Tk::BrowseListbox;
require Tk::Derived;
require Tk::Listbox;

@ISA = qw(Tk::Derived Tk::Listbox);
use strict;

Construct Tk::Widget 'BrowseListbox';

sub activate {
    my $w = shift;
    $w->SUPER::activate(@_);
    $w->Callback(-browsecmd => $w->index('active'));
}

sub Populate {
    my ($w, $args) = @_;
    $w->ConfigSpecs(-browsecmd => ['CALLBACK', undef, undef, undef]);
}

1;
__END__
